<%@page import="java.util.*,javax.sql.*,java.sql.*,javax.naming.*,m05bClasses.m05bConstantesPaginas" %>
<%@include file="/mantenimientosJSP/includes/m05b.inc"%>

<%
	// _______________________________XLNETs______________________________________
	// Evaluar variable de session que indica si esta conectado a XLNets
	if ((session.getAttribute("objetoSeguridad")) == null)  { 
		// Verificar que no ha transcurrido el tiempo de sesion (web.xml) %>
			<%@ include file="/m05bControlAcceso.inc"%>
	<% } %>
	<%@ include file="/m05bIdioma.inc"%>

<HTML>
<head>
		<title><%= resTit.getString("titRelEmpleados")%></title>
  		<script language="javascript1.2" src="<%=m05bConstantesPaginas.PATH_SCRIPTS%>/formateador.js"></script>
		<META HTTP-EQUIV="Content-Type" CONTENT="text/html; charset=UTF-8">
		<link rel="stylesheet" href="<%=m05bConstantesPaginas.PATH_ESTILOS%>/m05bestilos.css" type="text/css">
</head>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';InitMenu();" onunload="document.body.style.cursor='wait';">
		<SCRIPT language=JavaScript>
			var urlIdioma;		//URL recarga en funcion del idioma
			var rutaCabecera;	//Camino de migas
			var detActual;		//Ventana actual
			urlIdioma = "<%=m05bConstantesPaginas.MTO_REL_EMPLEADOS%>";
			detActual = '<%=resCM.getString("cmRelEmpleados")%>';
			rutaCabecera="";
			//rutaCabecera = "<%=m05bConstantesPaginas.DATOS_CABECERA%>" + urlIdioma + "'>\\"+detActual+"</a>";
		</SCRIPT>
<%@ include file="/mantenimientosJSP/includes/m05Cabecera_c.jsp"%>
<p> 	 
<table  width="100%" height="100%" border="0" cellspacing="0" cellpadding="0" align="center">
	<tr><td colspan=3></td></tr>
	<tr valign="top">
		<td width="2%">
			<DIV ID="thessm" style="visibility:hidden;Position : Absolute ;Left : 0 ;Top : 80 ;Z-Index : 20;">
	      		<DIV ID="thessm2" style="Position : Absolute ;Left : (-150) ;Top : 0 ;Z-Index : 20;">
	                <%@ include file="/m05bMenuInicial.inc"%>
	       		</DIV>
			</DIV>
		</td>
		<td>&nbsp</td>
		<td width="98%">
			<FORM NAME="FormRelEmpleados" METHOD="POST">
					 <TABLE   class="general">
					    <tr> 
					      <td width="90%" align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_PRESENTAR")%>" value="<%= res.getString("etBOT_PRESENTAR")%>" ONCLICK="JavaScript:fncImprimir(); return false" onMouseOver="top.status='<%= res.getString("etBOT_STATUSPRESENTAR")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
					      <td align="right"> 
					      	<input type="button" class="boton" name="<%= res.getString("etBOT_NUEVO")%>" value="<%= res.getString("etBOT_NUEVO")%>" ONCLICK="JavaScript:fncNuevo();return false;" onMouseOver="top.status='<%= res.getString("etBOT_STATUSNUEVO")%>'; return false" onMouseOut="top.status=''; return false" />
					      </td>
						</tr>
					 </TABLE>
					 <p>
					 <TABLE class="general">
					    <tr> 
					       <td class="searchTitle" width="20%"><%= res.getString("etCodigo")%></td>
					       <td class="searchTitle" width="40%"><%= res.getString("etNombre")%></td>
					       <td class="searchTitle" width="34%"><%= res.getString("etPrecioHora")%></td>
					       <td class="searchTitle" width="6%"><%= res.getString("etPresentar")%></td>
					    </tr>
					 </TABLE>
					<%

						int contador = 0;
						String sql = "";
						String sql2 = "";
						String codigo="";
						String nombre="";
						String precio="0";
						String alta="";
                        java.sql.Connection conn=null;
                        PreparedStatement pstmt = null;
                        ResultSet rs = null;
							
					try{
						session.removeAttribute("Empleado");
						codigo = request.getParameter("Codigo");
						if ((codigo == null) || (!(codigo.equals("Nuevo")))) { 
						   if (codigo != null)
						   		codigo = codigo.toUpperCase();
						   nombre = request.getParameter("Nombre");
					   	   if (nombre != null)
						   		nombre = nombre.toUpperCase();
						   precio = request.getParameter("Precio");
						}

						sql = "select COD_EMPL_07, NOMBRE_07, PRECHORA_07, ALTA_07 from M0507T00";
						if ( (codigo == null) || (codigo.equals("") ))
							sql2 = sql2;
						else{	
							sql2 = sql2 + " where COD_EMPL_07 = ? ";
						}
						if ( (nombre == null) || (nombre.equals("")))
							sql2 = sql2;
						else{
							nombre = '%' + nombre + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where NOMBRE_07 like ? ";
						 	else
						 		sql2 = sql2 + " and NOMBRE_07 like ? ";
						}
						if ( (precio == null) || (precio.equals("")))
							sql2 = sql2;
						else{
							precio = '%' + precio + '%';
							if (sql2.equals(""))
						 		sql2 = sql2 + " where PRECHORA_07 like ? ";
						 	else
						 		sql2 = sql2 + " and PRECHORA_07 like ? ";
						}
						sql = sql + sql2 + " order by TO_NUMBER(COD_EMPL_07), NOMBRE_07";

					    //m05bbBeginSelect(sql);

		               m05bConexion miConex = new m05bConexion();
                       conn = miConex.getConnection();
                       conn.setAutoCommit(false);  // Al final si todo ha ido bien se hace commit	 
  		               pstmt = conn.prepareStatement(sql);
						if ((codigo == null) || (codigo.equals(""))  )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, codigo);
						}
						if ( (nombre == null) || (nombre.equals("")) )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, nombre);
						}
						if ( (precio == null) || (precio.equals("")) )
							contador = contador;
						else{
							contador = contador + 1;
							pstmt.setString(contador, precio);
						}
						//m05bRS = m05bPStmt.executeQuery();
		                rs = pstmt.executeQuery();					  						
						contador=0;
					%>
						<TABLE class="general">
						<%int contador2=0;%>    

					<%
						while (rs.next() == true){
                            contador=contador+1;
							codigo = rs.getString("COD_EMPL_07");
							nombre= rs.getString("NOMBRE_07");
							precio= rs.getString("PRECHORA_07");
							alta= rs.getString("ALTA_07");
							if(!idiomaSes.equals("es")){//Traducir S y N a B yE
								if(alta.equals("S"))
									alta="B";
								else
									alta="E";
								
							}
							if (precio == null)
						   		precio = "0";
							contador2 = contador2 + 1;  %>
							<tr>
							   <td class="inputFieldTitle" width="19%"><FONT size=2><A href="JavaScript:fncModificar('<%=codigo%>')"><%=codigo%></A></FONT></td>
					   		   <td class="inputFieldTitle" width="39%"><FONT size=2><%=nombre%></FONT></td>
					   		   <input type="hidden" name=<%="Precio"+contador%> value="<%=precio%>">
                               <script>
                                    formatNumeroDecimal(document.FormRelEmpleados.<%="Precio"+contador2%>,6,2);
                               </script>
					   		   <td class="inputFieldTitle" width="33%" style="text-align:right"><FONT size=2><script> document.write(document.FormRelEmpleados.<%="Precio"+contador2%>.value);</script></FONT></td>
					   		   <td class="inputFieldTitle" style="text-align:center" width="9%"><FONT size=2><%=alta%></FONT></td>
							</tr>
					<%}%>
							<tr></tr>
						    <tr align="center">
								    <td class="inputField" colspan="3"><%= res.getString("etTotal")%> <%=contador%></td>
						    </tr>
						</TABLE>
			</FORM>
		</td>
	</tr>
	<tr>
			<td colspan="3"><%@ include file="/mantenimientosJSP/includes/m05Pie_c.jsp"%>	</td>
	</tr>
</table>
								
<SCRIPT language="javascript">
								
	function fncNuevo() { 
	   var docu = document.FormRelEmpleados;
       docu.action="m05bEmpleadosJsp.jsp?Codigo="+<%=Integer.parseInt(codigo)+1%>+"&Mensaje=false&Accion=I";
       docu.submit();
	}  // Fin funcion fncNuevo
	function fncModificar(codigo) {
	   var docu = document.FormRelEmpleados;
       docu.action="m05bGenerarEmpleadoServlet?Codigo=" + codigo + "&Mensaje=false";
       docu.submit();
    } // Fin funcion fncModificar
    function fncEliminar(codigo) {
		var docu = document.FormRelEmpleados;
        docu.action="m05bGenerarEmpleadoServlet?Codigo=" + codigo + "&Mensaje=false";
        docu.submit();
    } // Fin funcion fncEliminar
    function fncImprimir() {
		var docu = document.FormRelEmpleados;
        docu.action="m05bEmpleadosPDFJsp.jsp";
        docu.submit();
    } // Fin funcion fncImprimir
								
    setTimeout('initSlide();', 1);
</SCRIPT>
<%
} catch (Exception SQLException) {
	m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
	miLog.addTraza(SQLException);
} finally {
	//m05bEndSelect();
		if (rs != null)
		    rs.close();
		if (pstmt != null)
		    pstmt.close();
		if (conn != null)
		    conn.close();

	
}%>
</BODY>
</HTML>